## r-cran-kutils 1.69+dfsg

=== DESCRIPTION ===
Package: kutils
Type: Package
Title: Project Management Tools
Version: 1.69
Date: 2019-05-09
Authors@R: c(person("Paul","Johnson",email="pauljohn@ku.edu",role = c("aut", "cre")),
		   person("Benjamin","Kite",email="bakite@ku.edu",role="aut"),
		   person("Charles","Redmon",email="redmon@ku.edu",role="aut"),
		   person("Jared","Harpole",email="jared.harpole@gmail.com", role="ctb"),
  		   person("Kenna","Whitley",role="ctb"),
		   person("Po-Yi","Chen",role="ctb"), 
                   person("Shadi", "Pirhosseinloo",role="ctb")) 
Maintainer: Paul Johnson <pauljohn@ku.edu>
Description: Tools for data importation, recoding, and inspection that
    are used at the University of Kansas Center for Research Methods
    and Data Analysis. There are functions to create new project
    folders, R code templates, create uniquely named output
    directories, and to quickly obtain a visual summary for each
    variable in a data frame.  The main feature here is the systematic
    implementation of the "variable key" framework for data
    importation and recoding.  We are eager to have community feedback
    about the variable key and the vignette about it. In version 1.67,
    the function semTable() is deprecated. We have proposed a new package
    of that name.
License: GPL-2
Depends: R (>= 3.3.0)
Imports: stats, utils, methods, foreign, xtable, lavaan, plyr,
        openxlsx, RUnit
Suggests: rockchalk
RoxygenNote: 6.1.1
LazyData: TRUE
NeedsCompilation: no
Packaged: 2019-05-09 18:52:22 UTC; pauljohn
Author: Paul Johnson [aut, cre],
  Benjamin Kite [aut],
  Charles Redmon [aut],
  Jared Harpole [ctb],
  Kenna Whitley [ctb],
  Po-Yi Chen [ctb],
  Shadi Pirhosseinloo [ctb]
Repository: CRAN
Date/Publication: 2019-05-12 05:00:18 UTC

=== debian/changelog ===
r-cran-kutils (1.69+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2020 22:00:24 +0100

r-cran-kutils (1.69+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #940637)

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2020 07:07:07 +0100

=== debian/control ===
Source: r-cran-kutils
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-foreign,
               r-cran-xtable,
               r-cran-lavaan,
               r-cran-plyr,
               r-cran-openxlsx,
               r-cran-runit
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kutils.git
Homepage: https://cran.r-project.org/package=kutils

Package: r-cran-kutils
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R project management tools
 Tools for data importation, recoding, and inspection that
 are used at the University of Kansas Center for Research Methods
 and Data Analysis. There are functions to create new project
 folders, R code templates, create uniquely named output
 directories, and to quickly obtain a visual summary for each
 variable in a data frame.  The main feature here is the systematic
 implementation of the "variable key" framework for data
 importation and recoding.

## r-cran-kutils 1.70%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/kutils_([-\d.]*)\.tar\.gz

## r-cran-kutils 1.70+dfsg

=== DESCRIPTION ===
Package: kutils
Type: Package
Title: Project Management Tools
Version: 1.70
Date: 2020-04-28
Authors@R: c(person("Paul","Johnson",email="pauljohn@ku.edu",role = c("aut", "cre")),
		   person("Benjamin","Kite",email="bakite@ku.edu",role="aut"),
		   person("Charles","Redmon",email="redmon@ku.edu",role="aut"),
		   person("Jared","Harpole",email="jared.harpole@gmail.com", role="ctb"),
  		   person("Kenna","Whitley",role="ctb"),
		   person("Po-Yi","Chen",role="ctb"), 
                   person("Shadi", "Pirhosseinloo",role="ctb")) 
Maintainer: Paul Johnson <pauljohn@ku.edu>
Description: Tools for data importation, recoding, and inspection.
    There are functions to create new project
    folders, R code templates, create uniquely named output
    directories, and to quickly obtain a visual summary for each
    variable in a data frame.  The main feature here is the systematic
    implementation of the "variable key" framework for data
    importation and recoding.  We are eager to have community feedback
    about the variable key and the vignette about it. In version 1.7,
    the function 'semTable' is removed. It was deprecated since 1.67.
    That is provided in a separate package, 'semTable'.
License: GPL-2
Depends: R (>= 3.3.0)
Imports: stats, utils, methods, foreign, xtable, plyr, openxlsx, RUnit
Suggests: rockchalk
RoxygenNote: 7.1.0
LazyData: TRUE
NeedsCompilation: no
Packaged: 2020-04-29 18:02:35 UTC; pauljohn
Author: Paul Johnson [aut, cre],
  Benjamin Kite [aut],
  Charles Redmon [aut],
  Jared Harpole [ctb],
  Kenna Whitley [ctb],
  Po-Yi Chen [ctb],
  Shadi Pirhosseinloo [ctb]
Repository: CRAN
Date/Publication: 2020-04-29 18:30:02 UTC

=== debian/changelog ===
r-cran-kutils (1.70+dfsg-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:55:51 +0200

r-cran-kutils (1.70+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 11:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                r-base-dev,
                r-cran-foreign,
                r-cran-xtable,
-               r-cran-lavaan,
                r-cran-plyr,
                r-cran-openxlsx,
                r-cran-runit
@@ -17,6 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kutils.git
 Homepage: https://cran.r-project.org/package=kutils
+Rules-Requires-Root: no
 
 Package: r-cran-kutils
 Architecture: all

## r-cran-kutils 1.72+dfsg

=== debian/changelog ===
r-cran-kutils (1.72+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 21:59:52 +0200

## r-cran-kutils 1.73+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: kutils
 Type: Package
 Title: Project Management Tools
-Version: 1.70
-Date: 2020-04-28
+Version: 1.73
+Date: 2023-09-17
+Encoding: UTF-8
 Authors@R: c(person("Paul","Johnson",email="pauljohn@ku.edu",role = c("aut", "cre")),
 		   person("Benjamin","Kite",email="bakite@ku.edu",role="aut"),
 		   person("Charles","Redmon",email="redmon@ku.edu",role="aut"),
@@ -25,10 +26,10 @@
 Depends: R (>= 3.3.0)
 Imports: stats, utils, methods, foreign, xtable, plyr, openxlsx, RUnit
 Suggests: rockchalk
-RoxygenNote: 7.1.0
+RoxygenNote: 7.2.3
 LazyData: TRUE
 NeedsCompilation: no
-Packaged: 2020-04-29 18:02:35 UTC; pauljohn
+Packaged: 2023-09-17 14:13:02 UTC; pauljohn
 Author: Paul Johnson [aut, cre],
   Benjamin Kite [aut],
   Charles Redmon [aut],
@@ -37,4 +38,4 @@
   Po-Yi Chen [ctb],
   Shadi Pirhosseinloo [ctb]
 Repository: CRAN
-Date/Publication: 2020-04-29 18:30:02 UTC
+Date/Publication: 2023-09-17 15:50:02 UTC

=== debian/changelog ===
r-cran-kutils (1.73+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 15:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: r-cran-kutils
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kutils
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kutils.git
+Homepage: https://cran.r-project.org/package=kutils
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreign,
@@ -12,11 +16,7 @@
                r-cran-plyr,
                r-cran-openxlsx,
                r-cran-runit
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kutils
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kutils.git
-Homepage: https://cran.r-project.org/package=kutils
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-kutils
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rockchalk
Restrictions: allow-stderr
